Package org.apache.commons.cli.avalon

# Class CLUtil

java.lang.Object
org.apache.commons.cli.avalon.CLUtil

public final class CLUtil extends Object
CLUtil offers basic utility operations for use both internal and external to package.

See Also:
  - `CLOptionDescriptor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StringBuilder`
  `describeOptions(CLOptionDescriptor[] options)`
  Format options into StringBuilder and return.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### describeOptions

    public static StringBuilder describeOptions(CLOptionDescriptor[] options)
    Format options into StringBuilder and return. This is typically used to print "Usage" text in response to a "--help" or invalid option.
    Parameters:
      `options` - the option descriptors
    Returns:
      the formatted description/help for options